checkRequire("Lua_BuffItem")
Lua_BuffListWindow = class("Lua_BuffListWindow", Lua_Window);
function Lua_BuffListWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_BuffListWindow";
	self.skinName = "BuffListWindow_skin";
	self.layer = 3500;
	self.isModel = true;
	self.isClickClose = true;
	self.showClose = false;
	self.showBg = false;
	self.blackAlpha = 0.02;
	self.setHasBlackMask = false;
end
function Lua_BuffListWindow:buildShowItem()
	self:superCall("buildShowItem"); 

	local half_w = MainWinDefine.V_width / 2;
	local half_h = MainWinDefine.V_height / 2;
	-- self.content.transform.localPosition=Vector3(- half_w + 518, half_h - 222,0);
	LuaUtil.setObjPos(self.content, -half_w + 518, half_h - 222, 0);

	self.dragContainer = Lua_DragContainer.new(self.content,1, Vector4(0, -125, 388, 250));
	self.dragContainer:setLocation(0, 125, 0);
	self.list = Array();

	self:addLuaEvent("ROLE_BUFF_UPDATE", self, self.onBuffUpdate);
	self:onBuffUpdate();
end
function Lua_BuffListWindow:onBuffUpdate(o)
	local rd = DataCenter.roleData;
	local len = self.list:getSize();

	

	for i=1,len do
		self.list[i]:setEnable(false);
	end
	self.dragContainer.childrenList:clear();
	if rd.buffList ~= nil then
		local showBuffList = Array();
		len = rd.buffList:getSize();
		for i=1,len do
			if rd.buffList[i].show_icon == 1 then
				showBuffList:add(rd.buffList[i]);
			end
		end
		len = showBuffList:getSize();
		for i=1,len do
			local item = nil;
			if self.list[i] ~= nil then
				item = self.list[i];
				item:setEnable(true);
			else
				item = Lua_BuffItem.new(self.dragContainer.content);
				item:setEnable(true);
				self.list:add(item);
			end
			item:setData(showBuffList[i]);
			self.dragContainer:addSubContainer(item, false);
		end
		self.dragContainer:updateChildPos();
	end	
end