checkRequire("Lua_CountDownAnimation");
Lua_FightCountDownWindow = class("Lua_FightCountDownWindow", Lua_Window);
function Lua_FightCountDownWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_FightCountDownWindow";
	self.showClose = false;
	self.showBg = false;
	self.layer = 500;
end
function Lua_FightCountDownWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.countDownAni = Lua_CountDownAnimation.new(self.content, self, self.onCountEnd);
	self.countDownAni:setDepth(10);
end
function Lua_FightCountDownWindow:onCountEnd()
	self:hide();
	
end
function Lua_FightCountDownWindow:dispose()
	if self.callBackOwner ~= nil and self.callBackFun ~= nil then
		self.callBackFun(self.callBackOwner);
	end
	self.callBackOwner = nil;
	self.callBackFun = nil;
	if self.countDownAni ~= nil then
		self.countDownAni:dispose();
		self.countDownAni = nil;
	end
	self:superCall("dispose");
	
end
function Lua_FightCountDownWindow:showWin(param)
	self.callBackOwner = param.callBackOwner;
	self.callBackFun = param.callBackFun;
	self.countDownAni:playCountDown(param.time, 1);
end