Lua_PkModeWindow = class("Lua_PkModeWindow", Lua_Window);
function Lua_PkModeWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_PkModeWindow";
	self.skinName = "PkModeWindow_skin";
end

function Lua_PkModeWindow:buildShowItem()
	self:superCall("buildShowItem"); 

	if DataCenter.roleData.pkState == Lua_ThingDefine.PK_STATE_PEASE then
		self.selectBg:setLocation(0, 51, 0);
	elseif DataCenter.roleData.pkState == Lua_ThingDefine.PK_STATE_ALL then
		self.selectBg:setLocation(0, -145, 0);
	else
		self.selectBg:setLocation(0, -47, 0);
	end
	self.bg1:addClickFuntion(self, self.onBgClick1);
	self.bg2:addClickFuntion(self, self.onBgClick2);
	self.bg3:addClickFuntion(self, self.onBgClick3);
end

function Lua_PkModeWindow:onBgClick1(go)
	self:selectPaState(Lua_ThingDefine.PK_STATE_PEASE);
	self:hide();
end

function Lua_PkModeWindow:onBgClick2(go)
	self:selectPaState(Lua_ThingDefine.PK_STATE_TEAM);
	self:hide();
end

function Lua_PkModeWindow:onBgClick3(go)
	self:selectPaState(Lua_ThingDefine.PK_STATE_ALL);
	self:hide();
end

function Lua_PkModeWindow:selectPaState(val)
	if DataCenter.roleData.pkState == val then
		local _type = val;
		if _type == Lua_ThingDefine.PK_STATE_PEASE then
			_type = 110012;
		elseif _type == Lua_ThingDefine.PK_STATE_ALL then
			_type = 110014;
		else
			_type = 110013;
		end	
		OperateAlert.show(LanUtil.formateStr(LanUtil.getValue(110015), LanUtil.getValue(_type)));
		return;
	end

	local cmd = ProtoPublic_pb.Proto10400204();
	cmd.pk_state = val;
	sendMsg(10400204, cmd);
end