Lua_BuffItem = class("Lua_BuffItem", Lua_DragContainerItem);
function Lua_BuffItem:ctor(p)
	self:superCall("ctor", p, "BuffItem_skin");
end
function Lua_BuffItem:setData(data)
	self.data = data;
	self.buffNameTxt.text = data.name;
	self.buffDesTxt.text = "[B1CAF4]"..data.des.."[-]"; 
	self.timeTxt.text = "";
	self.buffIcon:setAltas(data.atlas,data.sprite);
	if self.data.show_time ~= 1 then
		self:addTimer("count", 0.5, self, self.onCountDown);
		self:onCountDown();
		self.timeTxt:setEnable(true);
		self.timeTxt:setLocation(-115.3, -54 + 22 - self.buffDesTxt.height, 0);
		self.addHeight = self.buffDesTxt.height + self.timeTxt.height - 44;
	else
		self.timeTxt:setEnable(false);
		self.buffNameTxt:setLocation(-117, -17.8, 0);
		self.buffDesTxt:setLocation(-116.3, -44.8, 0);
		self.addHeight = self.buffDesTxt.height - 22;
	end
	self.fegeLine:setLocation(-14.3, -82.4 - self.addHeight);
end
function Lua_BuffItem:getHeight()
	return 90 + self.addHeight;
end
function Lua_BuffItem:onCountDown(o)
	if self.data.leftTime == -1 then
		self.timeTxt.text = LanUtil.formateStr(LanUtil.getValue(121139),LanUtil.getValue(110016));
	else
		local lt = self.data.leftTime;
		if lt > 86400 then
			self.timeTxt.text = LanUtil.formateStr(LanUtil.getValue(121139),TimeTransform.getInstance():transSeconds1(self.data.leftTime,true));
		else
			self.timeTxt.text = LanUtil.formateStr(LanUtil.getValue(121139),TimeTransform.getInstance():transSeconds4(self.data.leftTime));
		end
	end
end